@echo off
REM  Create Intel Pro/Wireless 2011 LAN floppy disk from CD
@echo Creating Intel Pro/Wireless 2011 LAN driver installation diskette...
 
set FDRIVE=A:\
if "%1"=="?"     goto ErrorArg
if "%1"=="-H"    goto ErrorArg
if "%1"=="-h"    goto ErrorArg
if "%1"=="/h"    goto ErrorArg
if "%1"=="/H"    goto ErrorArg
if "%1"=="b:"    set FDRIVE=B:\
if "%1"=="b"     set FDRIVE=B:\
if "%1"=="b:\"   set FDRIVE=B:\
if "%1"=="B:"    set FDRIVE=B:\
if "%1"=="B"     set FDRIVE=B:\
if "%1"=="B:\"   set FDRIVE=B:\
if "%2"==""      goto ALL
if "%2"=="ND4"   goto ND4
if "%2"=="ND45"  goto ND45
if "%2"=="ND5"   goto ND5
if "%2"=="ND5_1" goto ND5_1
if "%2"=="ALL"   goto ALL
goto ErrorArg


REM ===============================
REM WinNT4 NDIS4
REM ===============================
:ND4
@echo Ready to create diskette for WinNT4.0 on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
if exist ..\..\wl50nd5.cat copy ..\..\wl50nd5.cat %FDRIVE%
if exist ..\..\wl50nd5.inf copy ..\..\wl50nd5.inf %FDRIVE%
if exist ..\..\wl50nd5.sys copy ..\..\wl50nd5.sys %FDRIVE%
if exist ..\..\wl5cfg.dll  copy ..\..\wl5cfg.dll %FDRIVE%
if exist ..\..\wl5ndi.dll  copy ..\..\wl5ndi.dll %FDRIVE%
if exist ..\..\dm95.exe    copy ..\..\dm95.exe %FDRIVE%

mkdir %FDRIVE%Win95
copy ..\..\win95\NetNCPA.dll %FDRIVE%Win95
copy ..\..\win95\NetNDI.dll %FDRIVE%Win95
copy ..\..\win95\NetWlanCoInstaller.dll %FDRIVE%Win95
copy ..\..\win95\WlaNCPA.hlp %FDRIVE%Win95
if exist ..\..\win95\WlaNCPA.cnt copy ..\..\win95\WlaNCPA.cnt %FDRIVE%Win95

mkdir %FDRIVE%WinNT
copy ..\..\WinNT\*.* %FDRIVE%WinNT
mkdir %FDRIVE%WinNT\Intel
copy ..\..\WinNT\Intel\*.* %FDRIVE%WinNT\Intel

goto End


REM ===============================
REM Win2k NDIS5 AND Win9x-NT4 NDIS4
REM ===============================
:ND45
@echo Ready to create diskette for Win2000, Win9x and WinNT4.0 on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
if exist ..\..\wl50nd5.cat copy ..\..\wl50nd5.cat %FDRIVE%
if exist ..\..\wl50nd5.inf copy ..\..\wl50nd5.inf %FDRIVE%
if exist ..\..\wl50nd5.sys copy ..\..\wl50nd5.sys %FDRIVE%
if exist ..\..\wl5cfg.dll  copy ..\..\wl5cfg.dll %FDRIVE%
if exist ..\..\wl5ndi.dll  copy ..\..\wl5ndi.dll %FDRIVE%
if exist ..\..\dm95.exe    copy ..\..\dm95.exe %FDRIVE%

copy ..\..\NetWlan5.inf %FDRIVE%
copy ..\..\NetWlan5.cat %FDRIVE%
copy ..\..\NetWlan5.sys %FDRIVE%

mkdir %FDRIVE%Win95
copy ..\..\win95\NetNCPA.dll %FDRIVE%Win95
copy ..\..\win95\NetNDI.dll %FDRIVE%Win95
copy ..\..\win95\NetWlanCoInstaller.dll %FDRIVE%Win95
copy ..\..\win95\WlaNCPA.hlp %FDRIVE%Win95
if exist ..\..\win95\WlaNCPA.cnt copy ..\..\win95\WlaNCPA.cnt %FDRIVE%Win95

mkdir %FDRIVE%WinNT
copy ..\..\WinNT\*.* %FDRIVE%WinNT
mkdir %FDRIVE%WinNT\Intel
copy ..\..\WinNT\Intel\*.* %FDRIVE%WinNT\Intel

goto End


REM ===============================
REM Win98 and Win2K NDIS5
REM ===============================
:ND5
@echo Ready to create diskette for NDIS5 Win98 and Win2000 on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
if exist ..\..\wl50nd5.cat copy ..\..\wl50nd5.cat %FDRIVE%
if exist ..\..\wl50nd5.inf copy ..\..\wl50nd5.inf %FDRIVE%
if exist ..\..\wl50nd5.sys copy ..\..\wl50nd5.sys %FDRIVE%
if exist ..\..\wl5cfg.dll  copy ..\..\wl5cfg.dll %FDRIVE%
if exist ..\..\wl5ndi.dll  copy ..\..\wl5ndi.dll %FDRIVE%
if exist ..\..\dm95.exe    copy ..\..\dm95.exe %FDRIVE%

copy ..\..\NetWlan5.inf %FDRIVE%
copy ..\..\NetWlan5.cat %FDRIVE%
copy ..\..\NetWlan5.sys %FDRIVE%

mkdir %FDRIVE%Win95
copy ..\..\win95\NetNCPA.dll %FDRIVE%Win95
copy ..\..\win95\NetNDI.dll %FDRIVE%Win95
copy ..\..\win95\NetWlanCoInstaller.dll %FDRIVE%Win95
copy ..\..\win95\WlaNCPA.hlp %FDRIVE%Win95
if exist ..\..\win95\WlaNCPA.cnt copy ..\..\win95\WlaNCPA.cnt %FDRIVE%Win95

goto End


REM ===============================
REM WinXP NDIS 5.1
REM ===============================
:ND5_1
@echo Ready to create diskette for NDIS5.1 WinXP on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
if exist ..\..\wl50nd5.cat copy ..\..\wl50nd5.cat %FDRIVE%
if exist ..\..\wl50nd5.inf copy ..\..\wl50nd5.inf %FDRIVE%
if exist ..\..\wl50nd5.sys copy ..\..\wl50nd5.sys %FDRIVE%
if exist ..\..\wl5cfg.dll  copy ..\..\wl5cfg.dll %FDRIVE%
if exist ..\..\wl5ndi.dll  copy ..\..\wl5ndi.dll %FDRIVE%
if exist ..\..\dm95.exe    copy ..\..\dm95.exe %FDRIVE%

goto End


REM ===============================
REM All Drivers
REM ===============================
:ALL
@echo "Ready to create diskette for ALL Windows on floppy drive" %FDRIVE%
@echo NDIS5 Win98 path in diskette is a:\ndis5\
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
if exist ..\..\wl50nd5.cat copy ..\..\wl50nd5.cat %FDRIVE%
if exist ..\..\wl50nd5.inf copy ..\..\wl50nd5.inf %FDRIVE%
if exist ..\..\wl50nd5.sys copy ..\..\wl50nd5.sys %FDRIVE%
if exist ..\..\wl5cfg.dll  copy ..\..\wl5cfg.dll %FDRIVE%
if exist ..\..\wl5ndi.dll  copy ..\..\wl5ndi.dll %FDRIVE%
if exist ..\..\dm95.exe    copy ..\..\dm95.exe %FDRIVE%

copy ..\..\NetWlan5.inf %FDRIVE%
copy ..\..\NetWlan5.cat %FDRIVE%
copy ..\..\NetWlan5.sys %FDRIVE%

mkdir %FDRIVE%Win95
copy ..\..\win95\NetNCPA.dll %FDRIVE%Win95
copy ..\..\win95\NetNDI.dll %FDRIVE%Win95
copy ..\..\win95\NetWlanCoInstaller.dll %FDRIVE%Win95
copy ..\..\win95\WlaNCPA.hlp %FDRIVE%Win95
if exist ..\..\win95\WlaNCPA.cnt copy ..\..\win95\WlaNCPA.cnt %FDRIVE%Win95

mkdir %FDRIVE%WinNT
copy ..\..\WinNT\*.* %FDRIVE%WinNT
mkdir %FDRIVE%WinNT\Intel
copy ..\..\WinNT\Intel\*.* %FDRIVE%WinNT\Intel

goto End


:ErrorArg
@echo mkWLAdsk- Creates Intel Pro/Wireless 2011 LAN Driver Installation Diskette
@echo Usage: makedisk drive [NDIS]
@echo   where drive is A: or B:
@echo   where NDIS is: ND4   for NDIS4   Win95/NT4.0
@echo                  ND45  for NDIS4   Win95/NT4.0 AND NDIS5 Win2K/98
@echo                  ND5   for NDIS5   Win2K/98
@echo                  ND5_1 for NDIS5.1 WinXP
@echo                  ALL   for All of the above
@echo   and
@echo   Defaults: A:, ALL, Win95/98/NT/2K/XP


:End
cd \
@echo Done.
